function filter_set_callbacks(filter)
{
    filter.after_load = function() {filter.AfterLoad();};
    filter.dates.attachEvent("onSelect", function(id) {filter.OnSelect(id);});
}

function FILTER(id, control)
{
    //this.last_selected = 0;
    
    this.dates = new dhtmlXTreeObject(id, "100%", "100%", 0);
    this.dates.enableTreeLines(true);
    if (adei.cfg.dhtmlx_iconset) {
        this.dates.setImagePath(adei.cfg.dhtmlx_iconset);
    }
    this.dates.setDataMode("xml");

    filter_set_callbacks(this);
}

FILTER.prototype.HasSearch = function()
{
    return this.search != "" && this.search != undefined;
}

FILTER.prototype.OnSelect = function(id)
{
    //if (!this.HasSearch()) {
    //    this.last_selected = id;
    //}
    adei.SetCustomProperties("kdb_page=1&kdb_date=" + id);
}

FILTER.prototype.AfterLoad = function()
{
    if (this.HasSearch()) {
        this.dates.selectItem("all", true, false);
    }
    else {
        //this.dates.selectItem(this.last_selected, true, false);
        // Year
        var index = this.dates.hasChildren("all") - 1;
        if (index != -1) {
            var id = this.dates.getItemIdByIndex("all", index);
            this.dates.openItem(id);
            // Month
            index = this.dates.hasChildren(id) - 1;
            id = this.dates.getItemIdByIndex(id, index);
            this.dates.openItem(id);
            // Day
            index = this.dates.hasChildren(id) - 1;
            id = this.dates.getItemIdByIndex(id, index);
            this.dates.selectItem(id, true, false);
        }
    }
}

FILTER.prototype.SetSearch = function(search)
{
    if (search == this.search) {
        var selected = this.dates.getSelectedItemId();
        katrin.SetCustomProperties("kdb_date=" + selected);
        return;
    }

    this.search = search;
    this.dates.deleteChildItems(0);
    
    var props = "target=dates&kdb_search=" + this.search;
    this.dates.loadXML(adei.GetServiceURL("katrin", props), this.after_load);
}

FILTER.prototype.SetParameters = function(parameters)
{
    
}
