<?php
// Author: Sebastian Voecking <sebastian.voecking@uni-muenster.de>

$katrinfilter_title = _("Filter");

function katrinfilterJS()
{
?>
    date_search = "";

    function load_dates(search)
    {
        props = "target=dates&search=" + search;
        dates_tree.loadXML(adei.GetServiceURL("katrin", props));
        dates_tree.setDataMode("xml");
        date_search = search;
    }

    function set_date_search(search)
    {
        if (search != date_search) {
            load_dates(search);
        }
    }

    var dates_tree = new dhtmlXTreeObject("katrin_filter_div", "100%", "100%", 0);
    load_dates("");
    dates_tree.enableTreeLines(true);
    if (adei.cfg.dhtmlx_iconset) {
    dates_tree.setImagePath(adei.cfg.dhtmlx_iconset);
    }
    dates_tree.attachEvent("onSelect", function(id) {adei.SetCustomProperties("page=1&date=" + id);});
<?php
}

function katrinfilterPage()
{
?>
<h4>Filter by parameters</h4>
<form name="form" onsubmit="return false">
<input name="filter" type="text" size="30" />
<input type="submit" value="Apply" onclick="katrin.SetCustomProperties('filter=' + encodeURIComponent(document.form.filter.value))"/>
</form>

<h4>Filter by date</h4>
<div id="katrin_filter_div"></div>
<?php
}
?>